# $Revision: 1.26 $, $Date: 2008/11/23 23:27:09 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Collections - Java Collections enhancements
Summary(pl.UTF-8):	Commons Collections - rozszerzenia Java Collections
Name:		jakarta-commons-collections
Version:	3.2
Release:	2
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/collections/source/commons-collections-%{version}-src.tar.gz
# Source0-md5:	dbf80727b384bfb9c220d78af30ebc14
Source1:	jakarta-commons-collections-tomcat5-build.xml
Patch0:		jakarta-commons-collections-target.patch
URL:		http://commons.apache.org/collections/
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
Obsoletes:	jakarta-commons-collections
Provides:	jakarta-commons-collections
Requires:	jre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Collections package contains a set of Java classes that extend or
augment the Java Collections Framework.

%description -l pl.UTF-8
Pakiet Collections zawiera zestaw klas Javy rozszerzających lub
powiększających szkielet Java Collections.

%package tomcat5
Summary:	Commons Collections dependency for Tomcat5
Summary(pl.UTF-8):	Elementy Commons Collections dla Tomcata 5
Group:		Development/Languages/Java
Obsoletes:	jakarta-commons-collections-source

%description tomcat5
Commons Collections dependency for Tomcat5.

%description tomcat5 -l pl.UTF-8
Elementy Commons Collections dla Tomcata 5.

%package javadoc
Summary:	Commons Collections documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Collections
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-collections-doc

%description javadoc
Commons Collections documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Collections.

%prep
%setup -q -n commons-collections-%{version}-src
%{__sed} -i -e 's,\r$,,' build.xml
%patch0 -p1
cp %{SOURCE1} tomcat5-build.xml
find -name '*.jar' | xargs rm -vf

%build
%ant jar %{?with_javadoc:javadoc}

# commons-collections-tomcat5
%ant -f tomcat5-build.xml

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
install build/commons-collections-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-collections-%{version}.jar
ln -sf commons-collections-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-collections.jar

install collections-tomcat5/commons-collections-tomcat5.jar $RPM_BUILD_ROOT%{_javadir}/commons-collections-tomcat5-%{version}.jar
ln -sf commons-collections-tomcat5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-collections-tomcat5.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a build/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%{_javadir}/commons-collections.jar
%{_javadir}/commons-collections-%{version}.jar

%files tomcat5
%defattr(644,root,root,755)
%{_javadir}/commons-collections-tomcat5.jar
%{_javadir}/commons-collections-tomcat5-%{version}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-collections.spec,v $
Revision 1.26  2008/11/23 23:27:09  glen
- renamed to java-commons-collections.spec

Revision 1.25  2008/01/14 19:49:06  qboosh
- pl for -tomcat5
- no more Jakarta in descs

Revision 1.24  2008-01-02 07:59:56  glen
- rel 2

Revision 1.23  2007-12-07 20:14:58  glen
- updated to 3.2
- new URL
- cleanup junit.jar as junit not used

Revision 1.22  2007-12-07 20:04:13  glen
- rel 5

Revision 1.21  2007-12-02 22:02:22  glen
- without jakarta in jar files

Revision 1.20  2007-12-02 21:57:51  glen
- compile for jdk 1.3 source/target; rel 4

Revision 1.19  2007-12-02 21:26:32  glen
- build -tomcat5 dependancy instead of -source for tomcat; rel 3

Revision 1.18  2007-12-02 13:03:07  glen
- rel 2

Revision 1.17  2007/04/14 07:38:41  qboosh
- pl for -source

Revision 1.16  2007/04/11 23:18:10  glen
- need src subdir

Revision 1.15  2007/04/11 22:59:23  glen
- unify
- created -source

Revision 1.14  2007/04/09 20:46:40  glen
- fix build

Revision 1.13  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.11  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.10  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.9  2005/05/08 17:01:40  qboosh
- more specific URL

Revision 1.8  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.7  2004/07/15 14:55:33  pluto
- symlink added.

Revision 1.6  2004/07/15 13:48:07  pluto
- updated to 3.1.

Revision 1.5  2004/04/12 20:25:34  mkierus
- updated to 3.0

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/06 00:32:15  misiek
- initial pld release
